ready to upgrade my 10.4 Tiger.

Discussion in 'Mac Basics and Help' started by seablue, Mar 23, 2012.

  1. seablue macrumors regular

    Joined:
    Jul 16, 2007
    #1
    I'm running on an ibook G4 10.4.11 Tiger and I want to upgrade. Alot of downloads now won't allow me to since I'm outdated - way outdated.
    What would be best for my next step up?? Leopard, snow leopard? the only thing I do on this laptop is internet searching, facebook games, email. Firefox won't let me upgrade any higher than the 3.6 right now. It says my system won't allow it and I need to upgrade.
    thanks for any info and help on this.
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
    Snow Leopard, as you're unlikely to find a retail copy of Leopard.
     
  3. r.j.s Moderator emeritus

    r.j.s

    Joined:
    Mar 7, 2007
    Location:
    Texas
    #3
    The only thing you could possibly upgrade to is Leopard - but even then, you're way out of date.

    If you still need newer apps, then you need to upgrade hardware.

    ----------

    What? iBook cannot run Snow Leopard.
     
  4. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #4
    I didn't even notice the model. Thanks!
     
  5. seablue thread starter macrumors regular

    Joined:
    Jul 16, 2007
  6. r.j.s Moderator emeritus

    r.j.s

    Joined:
    Mar 7, 2007
    Location:
    Texas
    #6
    Well, you'd need to upgrade to an Intel Mac - a Macbook or MacBook Pro
     
  7. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #7
    Any Intel-based Mac, such as any from the past 3-4 years.
     
  8. xTRIGGER092x macrumors regular

    Joined:
    Jul 21, 2011
    #8
    Though I recommend going to Intel, don't give up on your iBook just yet - there's still software out there that can breathe some life into it.

    First off, download the TenFourFox browser. TenFourFox is basically the most recent version of Firefox with Tiger (and Leopard) support. It can be downloaded here: http://www.floodgap.com/software/tenfourfox/

    In order to play your Facebook games, chances are you'll need the most recent version of Adobe Flash for Tiger (which is outdated, but it should still work okay): http://mac.oldapps.com/flash_player.php?old_flash_player=13

    TenFourFox does not allow plugins by default (so no Flash), so follow these instructions to use Flash in it: http://forums.macrumors.com/showthread.php?t=1226744

    Now, you should be able to use your iBook to fit your needs instead of spending lots of money on a new Mac.
     

Share This Page